Get all subscription AI alerts
get
/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Retrieve a specific subscription AI alert using its unique identifier.
Finder Variables- SubscriptionAlertId; integer; Unique identifier of the subscription AI alert used to fetch a specific record.
- PrimaryKey Retrieve a specific subscription AI alert using its unique identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AlertCode; string; Code that uniquely identifies the type of AI alert.
- AlertType; string; Category of the AI alert.
- CreatedBy; string; User who created the subscription AI alert record.
- CreationDate; string; Date when the subscription AI alert was created.
- ErrorMessage; string; Error message generated during alert evaluation.
- LastUpdateDate; string; Date when the subscription AI alert was last updated.
- LastUpdateLogin; string; Login session identifier used during the last update of the alert.
- LastUpdatedBy; string; User who last updated the subscription AI alert record.
- ObjectVersionNumber; integer; Version number used to manage concurrent updates to the alert record.
- SubscriptionAlertId; integer; Unique identifier of the subscription AI alert.
- SubscriptionId; integer; Unique identifier of the subscription associated with the alert.
- SubscriptionNumber; string; Subscription number associated with the alert.
- SubscriptionProductId; integer; Unique identifier of the subscription product associated with the alert.
- SubscriptionProductPuid; string; Public unique identifier of the subscription product associated with the alert.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionAIAlerts
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionAIAlerts-item-response
Type:
Show Source
object-
AlertCode: string
Maximum Length:
64Code that uniquely identifies the type of AI alert. -
AlertDetails: string
(byte)
Detailed description of the AI generated alert.
-
AlertType: string
Maximum Length:
64Category of the AI alert. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the subscription AI alert record. -
CreationDate: string
(date-time)
Read Only:
trueDate when the subscription AI alert was created. -
ErrorMessage: string
Maximum Length:
4000Error message generated during alert evaluation. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the subscription AI alert was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the subscription AI alert record. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login session identifier used during the last update of the alert. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number used to manage concurrent updates to the alert record.
-
SubscriptionAlertId: integer
(int64)
Unique identifier of the subscription AI alert.
-
SubscriptionId: integer
(int64)
Unique identifier of the subscription associated with the alert.
-
SubscriptionNumber: string
Maximum Length:
120Subscription number associated with the alert. -
SubscriptionProductId: integer
(int64)
Unique identifier of the subscription product associated with the alert.
-
SubscriptionProductPuid: string
Maximum Length:
120Public unique identifier of the subscription product associated with the alert.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all subscription AI alerts by submitting a request on the REST resource using cURL.
cURL Command
curl -u <username:password> \ -X GET
https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/subscriptionAIAlerts
\ -H 'Content-Type: application/json'
Example of Response Body
The following shows an example of the response body in JSON
format.
{
"items": [
{
"AlertCode": "CODE100",
"AlertType": "TYPE_A",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-05T05:22:27+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-05T05:22:27.003+00:00",
"LastUpdateLogin": "49FA280F3A56539CE0630278060ABDB7",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 12830,
"SubscriptionId": 100001,
"SubscriptionNumber": "SUB123456100",
"SubscriptionProductId": 5001,
"SubscriptionProductPuid": "PROD-PUID-001",
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/12830",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/12830",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/12830/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/12830/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
},
{
"AlertCode": "NEGATIVE",
"AlertType": "ORA_OSS_AGENT_MARGIN_ALERTS",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-23T07:47:38+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-23T07:47:38.054+00:00",
"LastUpdateLogin": "49F869A46A4C498CE0639360060AC3B1",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 300100652055565,
"SubscriptionId": 100106973512813,
"SubscriptionNumber": "CDRM_30286_Renewed_01",
"SubscriptionProductId": 100106973512812,
"SubscriptionProductPuid": "CDRM_30286_Renewed_01-PRDT-83361",
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055565",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055565",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055565/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055565/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
},
{
"AlertCode": "UNSUSTAINABLE",
"AlertType": "ORA_OSS_AGENT_DISCOUNT_ALERT",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-23T07:47:38.043+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-23T07:47:38.154+00:00",
"LastUpdateLogin": "49F869A46A4C498CE0639360060AC3B1",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 300100652055566,
"SubscriptionId": 100106973512813,
"SubscriptionNumber": "CDRM_30286_Renewed_01",
"SubscriptionProductId": 100106973512812,
"SubscriptionProductPuid": "CDRM_30286_Renewed_01-PRDT-83361",
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055566",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055566",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055566/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055566/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
},
{
"AlertCode": "NEAR_CAPACITY",
"AlertType": "ORA_OSS_AGENT_USAGE_ALERTS",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-23T07:47:38.047+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-23T07:47:38.166+00:00",
"LastUpdateLogin": "49F869A46A4C498CE0639360060AC3B1",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 300100652055567,
"SubscriptionId": 100106973512813,
"SubscriptionNumber": "CDRM_30286_Renewed_01",
"SubscriptionProductId": 100106973512812,
"SubscriptionProductPuid": "CDRM_30286_Renewed_01-PRDT-83361",
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055567",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055567",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055567/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055567/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
},
{
"AlertCode": "AT_RISK",
"AlertType": "ORA_OSS_AGENT_SENTIMENT_ALERTS",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-23T07:47:38.050+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-23T07:47:38.169+00:00",
"LastUpdateLogin": "49F869A46A4C498CE0639360060AC3B1",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 300100652055568,
"SubscriptionId": 100106973512813,
"SubscriptionNumber": "CDRM_30286_Renewed_01",
"SubscriptionProductId": 100106973512812,
"SubscriptionProductPuid": "CDRM_30286_Renewed_01-PRDT-83361",
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055568",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055568",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055568/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055568/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
},
{
"AlertCode": "SUMMARY",
"AlertType": "SUBSCRIPTIONS_SUMMARY",
"CreatedBy": "SALES_ADMIN",
"CreationDate": "2026-02-23T07:47:38.053+00:00",
"ErrorMessage": null,
"LastUpdateDate": "2026-02-23T07:47:38.173+00:00",
"LastUpdateLogin": "49F869A46A4C498CE0639360060AC3B1",
"LastUpdatedBy": "SALES_ADMIN",
"ObjectVersionNumber": 1,
"Segmentation": null,
"Status": null,
"SubscriptionAlertId": 300100652055569,
"SubscriptionId": 100106973512813,
"SubscriptionNumber": "CDRM_30286_Renewed_01",
"SubscriptionProductId": null,
"SubscriptionProductPuid": null,
"TransactionId": null,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055569",
"name": "subscriptionAIAlerts",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055569",
"name": "subscriptionAIAlerts",
"kind": "item"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055569/enclosure/AlertDetails",
"name": "AlertDetails",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts/300100652055569/enclosure/RenewalBrief",
"name": "RenewalBrief",
"kind": "other"
}
]
}
],
"count": 6,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/subscriptionAIAlerts",
"name": "subscriptionAIAlerts",
"kind": "collection"
}
]
}